.tutorial-card {
  display: flex;
  flex-direction: column;
  padding: 20px;
  border: var(--border-standard);
  border-radius: 14px;
  background: var(--bg-dark-elements);
  backdrop-filter: blur(10px);
  box-shadow: var(--shadow-dark);
}

.image-box {
  overflow: hidden;
  margin-bottom: 12px;
  aspect-ratio: 16 / 9;
  border-radius: 14px;
}

.image-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.tutorial-content {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.card-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 8px;
}

.badge {
  padding: 4px 10px;
  border-radius: 8px;
  color: var(--text-accent-blue);
  background: rgba(34,197,94,0.1);
  font-size: 13px;
  font-weight: 200;
}

.title {
  font-size: 18px;
  font-weight: 400;
}

.tutorial-description {
  min-height: 100px;
  margin-top: 20px;
  padding: 10px;
  color: var(--text-secondary);
  font-size: 14px;
  line-height: 1.2;
}

.tutorial-footer {
  display: flex;
  justify-content: center;
  margin-top: auto;
  padding: 0 10px;
}

.card-button {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  white-space: nowrap;
  min-width: max-content;
  line-height: 1;
  padding: 11px 19px;
  border: var(--border-button-outline);
  border-radius: 20px;
  color: var(--text-accent-blue);
  background: transparent;
  font-size: 17px;
  font-weight: 500;
  text-decoration: none;
  box-shadow: var(--shadow-blue-off);
  transition: 0.3s;
}
.card-button:hover {
  transform: translateY(-3px);
  color: var(--text-primary);
  background: var(--bg-button-outline-on);
  box-shadow: var(--shadow-blue-on);
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .title {
    font-size: 17px;
  }

  .tutorial-description {
    min-height: 120px;
    margin-top: 15px;
  }

  .card-button {
    padding: 10px 17px;
    font-size: 16px;
  }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .title {
    font-size: 16px;
  }

  .tutorial-description {
    min-height: 130px;
    margin-top: 15px;
  }

  .card-button {
    padding: 9px 16px;
    font-size: 15px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .title {
    font-size: 16px;
  }

  .tutorial-description {
    min-height: 120px;
    margin-top: 15px;
  }

  .card-button {
    padding: 9px 16px;
    font-size: 15px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .badge {
    padding: 4px 8px;
    font-size: 12px;
  }

  .title {
    font-size: 16px;
  }

  .tutorial-description {
    min-height: 130px;
    margin-top: 15px;
  }

  .card-button {
    padding: 9px 16px;
    font-size: 15px;
  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .badge {
    padding: 4px 8px;
    font-size: 12px;
  }

  .title {
    font-size: 15px;
  }

  .tutorial-description {
    min-height: 130px;
    margin-top: 15px;
    font-size: 13px;
  }

  .card-button {
    padding: 9px 16px;
    font-size: 14px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .badge {
    padding: 4px 8px;
    font-size: 12px;
  }

  .title {
    font-size: 16px;
  }

  .tutorial-description {
    min-height: 0;
    margin-top: 15px;
    text-align: center;
  }

  .tutorial-footer {
    margin-top: 20px;
  }

  .card-button {
    padding: 9px 16px;
    font-size: 15px;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .badge {
    padding: 6px 12px;
    font-size: 14px;
  }

  .title {
    font-size: 20px;
  }

  .tutorial-description {
    min-height: 0;
    margin-top: 15px;
    font-size: 16px;
  }

  .tutorial-footer {
    margin-top: 20px;
  }

  .card-button {
    padding: 11px 19px;
    font-size: 17px;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .badge {
    padding: 6px 10px;
    font-size: 13px;
  }

  .title {
    font-size: 17px;
  }

  .tutorial-description {
    min-height: 130px;
    margin-top: 15px;
    font-size: 15px;
  }

  .card-button {
    padding: 11px 19px;
    font-size: 16px;
  }
}